package jrummikub.model;

public interface IGameState {

	public ITable getTable();
	public void setTable(ITable table);

	public int getPlayerCount();

	public IPlayer getPlayer(int i);

	/** Changes the activePlayer to the next {@link Player} in the list */
	public void nextPlayer();

	public IPlayer getActivePlayer();

	public StoneHeap getGameHeap();

	public IPlayer getNthNextPlayer(int i);

}